
// - Manca la gestione del campo "causale"
// - Il cliente deve essere gestito con il nuovo messaggio _CLIENTE, per ora  gestito con
//   l'aggancio alla relazione
// - Controllare la posizione dei campi precendentemente compositi (indirizzi, comuni, ecc.)

USE 33
JOIN 34                 INTO CODNUM==CODNUM ANNO==ANNO PROVV==PROVV NDOC==NDOC
JOIN 17                 INTO TIPOCF==TIPOCF CODCF==CODCF
JOIN 20                 INTO TIPOCF==TIPOCF CODCF==CODCF
JOIN 16                 INTO TIPOCF==TIPOCF CODCF==CODCF CODIND==CODINDSP
JOIN 16 TO 17 ALIAS 116 INTO TIPOCF==TIPOCF CODCF==CODCF CODIND==CODINDSP
JOIN 47 TO 34           INTO CODART==CODART
JOIN 52                 INTO TIPOCF==TIPOCF CODCF==CODCF
JOIN %CPG               INTO CODTAB==CODPAG
JOIN %AGE               INTO CODTAB==CODAG
JOIN %POR               INTO CODTAB==CODPORTO
JOIN %BAN               INTO CODTAB==CODABIA+CODCABA
JOIN %VET               INTO CODTAB==CODVETT1
JOIN %ASP               INTO CODTAB==ASPBENI1

/* da togliere, perch vengono usati i messaggi _ISAMREAD
JOIN %BAN  INTO CODTAB==CODABIA+CODCABA
JOIN %BAN  INTO CODTAB==CODABIP+CODCABP
JOIN NDO  INTO CODTAB==CODNOTESP1
JOIN NDO  INTO CODTAB==CODNOTESP2
JOIN 13 TO 304@ ALIAS 1101 INTO COM==COMCF
JOIN 13 TO 304@ ALIAS 1102 INTO COM==COM
*/

END
DESCRIPTION
BEGIN
  33->* "Documenti di vendita"
  34->* "Righe documenti di vendita"
  17->* "Clienti/Fornitori per vendite"
  20->* "Clienti/Fornitori"
  47  ->* "Righe listini"
  52  ->* "Contratti clienti"
  16  ->* "Indirizzi di spedizione"
  116->* "Indirizzi di spedizione"
  %CPG->* "Condizioni di pagamento"
  %AGE ->* "Agenti"
  %MSP ->* "Modalit di spedizioni"
  %POR ->* "Modalit di consegna"
  %BAN ->* "Banche"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 12
END

SECTION HEADER ODD 33

STRINGA 1 36 1
BEGIN
 KEY "nome ditta"
 PROMPT 5 6 ""
 MESSAGE _DITTA &RAGSOC
END

STRINGA 2 36 1
BEGIN
 KEY "indirizzo ditta"
 PROMPT 5 7 ""
 MESSAGE _DITTA &IND
END

STRINGA 3 5 1
BEGIN
 KEY "cap ditta"
 PROMPT 5 8 ""
 MESSAGE _DITTA &CAP
END

STRINGA 4 30 1
BEGIN
 KEY "comune ditta"
 PROMPT 12 8 ""
 MESSAGE _DITTA &COM
END

STRINGA 5 5 1
BEGIN
 KEY "scritta P.IVA"
 PROMPT 5 9 "P.IVA"
END

STRINGA 6 16 1
BEGIN
 KEY "partita iva ditta"
 PROMPT 11 9 ""
 MESSAGE _DITTA &IVA
END

STRINGA 7 9 1
BEGIN
 KEY "scritta COD.FISC."
 PROMPT 5 10 "COD.FISC."
END

STRINGA 8 16 1
BEGIN
 KEY "codice fiscale ditta"
 PROMPT 15 10 ""
 MESSAGE _DITTA &CF
END

STRINGA 14 35 2
BEGIN
 KEY "destinatario, ditta"
 PROMPT 44 16 ""
 FIELD 20->RAGSOC
END

STRINGA 15 35 2
BEGIN
 KEY "destinatario, indirizzo"
 PROMPT 44 18 ""
 FIELD 20->INDCF
END

STRINGA 48 5 1
BEGIN
 FLAGS "H"
 PROMPT 1 1 ""
 FIELD 116@->COM
END

STRINGA 16 5 1
BEGIN
 KEY "destinatario, cap"
 PROMPT 44 20 ""
 MESSAGE _ISAMREAD 13 COM==#48 CAPCOM
END

STRINGA 17 30 2
BEGIN
 KEY "destinatario, comune"
 PROMPT 50 20 ""
 MESSAGE _ISAMREAD 13 COM==#48 DENCOM
END

STRINGA 18 2 1
BEGIN
 KEY "destinatario, procincia"
 PROMPT 72 21 ""
 MESSAGE _ISAMREAD 13 COM=#48 PROVCOM
END

DATA 19 8 1
BEGIN
 KEY "data bolla"
 PROMPT 60 25 ""
 FIELD DATADOC
 FORMAT "1444-"
END

NUMERO 20
BEGIN
 KEY "numero bolla"
 PROMPT 71 25 ""
 FIELD NDOC
END

STRINGA 21 30 2
BEGIN
 KEY "destinazione, indirizzo"
 PROMPT 5 16 ""
 FIELD 16->INDIR
END

STRINGA 49 5 1
BEGIN
 FLAGS "H"
 PROMPT 1 1 ""
 FIELD 16->COM
END

STRINGA 32 5 1
BEGIN
 KEY "destinazione, cap"
 PROMPT 5 18 ""
 MESSAGE _ISAMREAD 13 COM=#49 CAPCOM
END

STRINGA 33 21 1
BEGIN
 KEY "destinazione, comune"
 PROMPT 5 20 ""
 MESSAGE _ISAMREAD 13 COM=#49 DENCOM
END

STRINGA 34 2
BEGIN
 KEY "destinazione, provincia"
 PROMPT 28 20 ""
 MESSAGE _ISAMREAD 13 COM=#49 PROVCOM
END

NUMERO 22
BEGIN
 KEY "ordine"
 PROMPT 3 25 ""
 FIELD NUMDOCRIF
END

DATA 23 8 1
BEGIN
 KEY "data conferma"
 PROMPT 16 25 ""
 FIELD DATADOCRIF
 FORMAT "1444-"
END

STRINGA 24 48 1
BEGIN
 KEY "condizioni pagamento"
 PROMPT 3 27 ""
 FIELD %CPG->S0
END

STRINGA 25 29 1
BEGIN
 KEY "banca appoggio"
 PROMPT 53 27 ""
 FIELD %BAN->S0
END

STRINGA 26 7 1
BEGIN
 KEY "codice cliente"
 PROMPT 3 29 ""
 FIELD CODCF
END

STRINGA 27 11 1
BEGIN
 KEY "partita iva cliente"
 PROMPT 12 29 ""
 FIELD 20->PAIV
END

STRINGA 28 18 1
BEGIN
 KEY "porto"
 PROMPT 41 25 ""
 FIELD %POR->S0
END

NUMERO 29
BEGIN
 KEY "codice agente"
 PROMPT 29 29 ""
 FIELD CODAG
END

STRINGA 30 28 1
BEGIN
 KEY "nome agente"
 PROMPT 33 29 ""
 FIELD %AGE->S0
END

END

SECTION BODY ODD 24

STRINGA 32 13 1
BEGIN
 KEY "codice articolo"
 PROMPT 5 34 ""
 FIELD 34->CODART
END

STRINGA 33 30 1
BEGIN
 KEY "descrizione articolo"
 PROMPT 25 34 ""
 FIELD 47->DESCR
END

STRINGA 34 2 1
BEGIN
 KEY "unit di misura"
 PROMPT 56 34 ""
 FIELD 34->UMQTA
END

STRINGA 35 10 1
BEGIN
 KEY "quantit"
 PROMPT 60 34 ""
 FIELD 34->QTA
END

STRINGA 36 10 1
BEGIN
 KEY "quantit lettere"
 PROMPT 72 34 ""
 FIELD 34->QTA
 MESSAGE _CIFRELETTERE
END

END

SECTION FOOTER ODD 9

STRINGA 47 5 1
BEGIN
 KEY "scritta SEGUE"
 PROMPT 72 70 "SEGUE"
END

END

SECTION FOOTER LAST 9

LISTA 37 1 1
BEGIN
 KEY "trasporto a cura del mittente"
 PROMPT 4 59 ""
 ITEM "M|x"
 FIELD CODSPMEZZO
END

LISTA 38 1 1
BEGIN
 KEY "trasporto a cura del destinatario"
 PROMPT 13 59 ""
 ITEM "D|x"
 FIELD CODSPMEZZO
END

LISTA 39 1 1
BEGIN
 KEY "trasporto a cura del vettore"
 PROMPT 23 59 ""
 ITEM "V|x"
 FIELD CODSPMEZZO
END

STRINGA 40 45 1
BEGIN
 KEY "nome vettore"
 PROMPT 3 62 ""
 FIELD %VET->S0
END

STRINGA 41 45 1
BEGIN
 KEY "indirizzo vettore"
 PROMPT 3 64 ""
 FIELD %VET->S1
END

DATA 42 8 1
BEGIN
 KEY "data inizio trasporto"
 PROMPT 51 61 ""
 FIELD DATAPART
 FORMAT "1444-"
END

DATA 43 5 1
BEGIN
 KEY "ora inizio trasporto"
 PROMPT 60 61 ""
 FIELD ORAPART
 FORMAT "1444-"
END

STRINGA 44 27 1
BEGIN
 KEY "aspetto beni"
 PROMPT 37 59 ""
 FIELD %ASP->S0
END

STRINGA 45 7 1
BEGIN
 KEY "peso"
 PROMPT 73 59 ""
 FIELD PNETTO
END

STRINGA 46 5 1
BEGIN
 KEY "colli"
 PROMPT 66 59 ""
 FIELD NCOLLI
END

END

END

